<?php

namespace Macymed\MacymedLinkTracker\Utils;

if (! defined('ABSPATH')) {
    exit; // Sécurité
}

class Redirect
{
    public static function init()
    {

        add_filter(
            'query_vars',
            function ($vars) {
                $vars[] = 'macymed_tracker';
                $vars[] = 'macymed_tracker_record';
                
                $vars[] = 'url';
                $vars[] = 'mtl_nonce';
                return $vars;
            }
        );

        add_action(
            'parse_request',
            function ($query) {
                if (isset($query->query_vars['macymed_tracker']) && isset($query->query_vars['url']) && isset($query->query_vars['mtl_nonce'])) {

                    include Utils::get_plugin_dir_path() . 'redirect_external.php';
                    exit; // Stopper l'exécution après inclusion
                }
                else if (isset($query->query_vars['macymed_tracker_record']) && isset($query->query_vars['url']) && isset($query->query_vars['mtl_nonce'])) {

                    include Utils::get_plugin_dir_path() . 'link_tracker_record.php';
                    exit; // Stopper l'exécution après inclusion
                }
                
            }
        );

        // Rafraîchir les règles de réécriture lors de l'activation du plugin

        register_activation_hook(
            __FILE__,
            function () {
                macymed_add_rewrite_rule();
                flush_rewrite_rules();
            }
        );

        // Rafraîchir les règles lors de la désactivation
        register_deactivation_hook(__FILE__, 'flush_rewrite_rules');
    }
}
